Index: trunk/dports/comms/dgpsip/Portfile
===================================================================
--- trunk/dports/comms/dgpsip/Portfile	(revision 235)
+++ trunk/dports/comms/dgpsip/Portfile	(revision 235)
@@ -0,0 +1,10 @@
+package require port 1.0
+portname	dgpsip
+portversion	1.32
+categories	comms
+maintainers	eric@opendarwin.org
+master_sites	http://www.wsrcc.com/wolfgang/ftp/
+# XXX this should probably become unnecessary, set as a reasonable default
+distname	${portname}-${portversion}
+checksums	${distname}.${extract_sufx} md5 af948d8c485ac84a343c9210f2f05267
+configure.type	gnu
Index: trunk/dports/comms/scud/Portfile
===================================================================
--- trunk/dports/comms/scud/Portfile	(revision 235)
+++ trunk/dports/comms/scud/Portfile	(revision 235)
@@ -0,0 +1,10 @@
+package require port 1.0
+portname	scud
+portversion	1.4
+categories	comms
+maintainers	eric@opendarwin.org
+master_sites	http://bsdone.bsdwins.com/dist/${portname}/downloads/
+# XXX this should probably become unnecessary, set as a reasonable default
+distname	${portname}-${portversion}
+checksums	${distname}.${extract_sufx} md5 9ea3de9581ed9d5b5850215e8fb60cda
+configure	{}
Index: trunk/dports/irc/epic/Portfile
===================================================================
--- trunk/dports/irc/epic/Portfile	(revision 235)
+++ trunk/dports/irc/epic/Portfile	(revision 235)
@@ -0,0 +1,14 @@
+package require port 1.0
+portname	epic
+portversion	1.0.1
+categories	irc
+maintainers	eric@opendarwin.org
+set subdir	epic/EPIC4-PRODUCTION/
+master_sites	ftp://ftp.epicsol.org/pub/${subdir} \
+		ftp://ftp.magenet.com/pub/${subdir} \
+		ftp://ftp.archive.de.uu.net/pub/unix/irc/${subdir}
+distname	${portname}4-${portversion}
+checksums	${distname}.${extract_sufx} md5 53610020128ba1edb7701a73b778f75f
+# XXX remove info.c.sh.in patch when env vars can be set (set LOGNAME to user)
+patchfiles	patch-Makefile.in patch-info.c.sh.in
+configure.type	gnu
Index: trunk/dports/irc/epic/files/patch-Makefile.in
===================================================================
--- trunk/dports/irc/epic/files/patch-Makefile.in	(revision 235)
+++ trunk/dports/irc/epic/files/patch-Makefile.in	(revision 235)
@@ -0,0 +1,11 @@
+--- epic4-1.0.1/Makefile.in	Tue Aug 20 16:32:07 2002
++++ epic4-1.0.1/Makefile.in.orig	Tue Aug 20 16:31:51 2002
+@@ -31,7 +31,7 @@
+ # -Wall 	For GCC compilers, the -Wall flag turns on lots of additional
+ #		warning checks.  You can safely ignore any warnings about 
+ #		"NULL format", as those uses are intentional.
+-CFLAGS = @CFLAGS@
++CFLAGS = -no-cpp-precomp @CFLAGS@
+ 
+ # Compiler flags -- These flags are passed only to the compiler.
+ #		    Common flags include:
Index: trunk/dports/irc/epic/files/patch-info.c.sh.in
===================================================================
--- trunk/dports/irc/epic/files/patch-info.c.sh.in	(revision 235)
+++ trunk/dports/irc/epic/files/patch-info.c.sh.in	(revision 235)
@@ -0,0 +1,11 @@
+--- epic4-1.0.1/source/info.c.sh.in.orig	Mon Dec  4 16:11:57 2000
++++ epic4-1.0.1/source/info.c.sh.in	Tue Aug 20 17:26:01 2002
+@@ -5,7 +5,7 @@
+ 
+ info_c_sum=`cksum @srcdir@/info.c.sh`
+ comp_host=`uname -n`
+-comp_user=$LOGNAME
++comp_user=`whoami`
+ comp_time=`date | \
+ awk '{if (NF == 6) \
+          { print $1 " "  $2 " " $3 " "  $6 " at " $4 " " $5 } \
Index: trunk/dports/irc/infobot/Portfile
===================================================================
--- trunk/dports/irc/infobot/Portfile	(revision 235)
+++ trunk/dports/irc/infobot/Portfile	(revision 235)
@@ -0,0 +1,12 @@
+package require port 1.0
+portname	infobot
+portversion	0.45.3
+categories	irc
+maintainers	eric@opendarwin.org
+master_sites	http://www.infobot.org/src/
+# XXX this should probably become unnecessary, set as a reasonable default
+distname	${portname}-${portversion}
+checksums	${distname}.${extract_sufx} md5 897a005182928613eadd30c267ce9c5b
+configure	{}
+# XXX change to "build" for soon-coming infrastructure change
+make		{}
Index: trunk/dports/mail/mutt/Portfile
===================================================================
--- trunk/dports/mail/mutt/Portfile	(revision 235)
+++ trunk/dports/mail/mutt/Portfile	(revision 235)
@@ -0,0 +1,10 @@
+package require port 1.0
+portname	mutt
+portversion	1.4
+categories	mail
+maintainers	eric@opendarwin.org
+master_sites	ftp://ftp.mutt.org/${portname}/
+distname	${portname}-${portversion}i
+checksums	${distname}.${extract_sufx} md5 a67bcdf1a1cd53d61ccd3ebf3993ba59
+worksrcdir	${portname}-${portversion}
+depends_lib	lib:libiconv.2:textproc/libiconv
Index: trunk/dports/mail/ssmtp/Portfile
===================================================================
--- trunk/dports/mail/ssmtp/Portfile	(revision 235)
+++ trunk/dports/mail/ssmtp/Portfile	(revision 235)
@@ -0,0 +1,13 @@
+package require port 1.0
+portname	ssmtp
+portversion	2.50
+categories	mail
+maintainers	eric@opendarwin.org
+master_sites	http://ftp.debian.org/debian/pool/main/s/${portname}/ \
+		ftp://ftp.icm.edu.pl/pub/Linux/debian/pool/main/s/${portname}/
+distname	${portname}_${portversion}.10
+checksums	${distname}.${extract_sufx} md5 5f6c891f38eda7aaabcad84b698f4215
+worksrcdir	${portname}-${portversion}
+patchfiles	patch-net.c
+make.type	gnu
+configure.type	gnu
Index: trunk/dports/mail/ssmtp/files/patch-net.c
===================================================================
--- trunk/dports/mail/ssmtp/files/patch-net.c	(revision 235)
+++ trunk/dports/mail/ssmtp/files/patch-net.c	(revision 235)
@@ -0,0 +1,10 @@
+--- ssmtp-2.50/net.c.orig	Wed Aug 21 03:55:21 2002
++++ ssmtp-2.50/net.c	Wed Aug 21 03:55:37 2002
+@@ -5,6 +5,7 @@
+  See COPYRIGHT for the license
+ 
+ */
++#include <sys/types.h>
+ #include <sys/socket.h>
+ #include <netinet/in.h>
+ #include <stdlib.h>
Index: trunk/dports/net/fetch/Portfile
===================================================================
--- trunk/dports/net/fetch/Portfile	(revision 235)
+++ trunk/dports/net/fetch/Portfile	(revision 235)
@@ -0,0 +1,12 @@
+package require port 1.0
+portname	fetch
+portversion	4.6.2-RELEASE
+categories	net
+maintainers	eric@opendarwin.org
+master_sites	http://www.beerho.com/
+# XXX this should probably become unnecessary, set as a reasonable default
+distname	${portname}-${portversion}
+checksums	${distname}.${extract_sufx} md5 45627db03b6cf89b8dabae6d815dcd9b
+worksrcdir	${portname}
+configure	{}
+depends_lib	lib:libfetch.3:net/libfetch
Index: trunk/dports/net/libfetch/Portfile
===================================================================
--- trunk/dports/net/libfetch/Portfile	(revision 235)
+++ trunk/dports/net/libfetch/Portfile	(revision 235)
@@ -0,0 +1,12 @@
+package require port 1.0
+portname	libfetch
+portversion	4.6.2-RELEASE
+categories	net
+maintainers	eric@opendarwin.org
+master_sites	http://www.beerho.com/
+# XXX this should probably become unnecessary, set as a reasonable default
+distname	${portname}-${portversion}
+checksums	${distname}.${extract_sufx} md5 b99c647fb16c108ee40b62e18e1d2e4a
+patchfiles	patch-Makefile patch-http.c
+worksrcdir	${portname}
+configure	{}
Index: trunk/dports/net/libfetch/files/patch-Makefile
===================================================================
--- trunk/dports/net/libfetch/files/patch-Makefile	(revision 235)
+++ trunk/dports/net/libfetch/files/patch-Makefile	(revision 235)
@@ -0,0 +1,13 @@
+--- libfetch/Makefile.orig	Tue Aug 20 19:34:06 2002
++++ libfetch/Makefile	Tue Aug 20 19:35:02 2002
+@@ -3,8 +3,8 @@
+ MAINTAINER=	des@freebsd.org
+ LIB=		fetch
+ WARNS?=		2
+-CFLAGS+=	-I.
+-CFLAGS+=	-DINET6
++CFLAGS+=	-no-cpp-precomp -fno-common -I. -DINET6 -D__FBSDID=__RCSID
++CFLAGS+=	-Dsocklen_t=int32_t -D__unused=__attribute__\(\(__unused__\)\)
+ SRCS=		fetch.c common.c ftp.c http.c file.c \
+ 		ftperr.h httperr.h
+ INCS=		fetch.h
Index: trunk/dports/net/libfetch/files/patch-http.c
===================================================================
--- trunk/dports/net/libfetch/files/patch-http.c	(revision 235)
+++ trunk/dports/net/libfetch/files/patch-http.c	(revision 235)
@@ -0,0 +1,20 @@
+--- libfetch/http.c.orig	Tue Aug 20 19:47:22 2002
++++ libfetch/http.c	Tue Aug 20 19:47:43 2002
+@@ -80,8 +80,6 @@
+ #include "common.h"
+ #include "httperr.h"
+ 
+-extern char *__progname; /* XXX not portable */
+-
+ /* Maximum number of redirects to follow */
+ #define MAX_REDIRECT 5
+ 
+@@ -834,7 +832,7 @@
+ 	if ((p = getenv("HTTP_USER_AGENT")) != NULL && *p != '\0')
+ 	    _http_cmd(fd, "User-Agent: %s", p);
+ 	else
+-	    _http_cmd(fd, "User-Agent: %s " _LIBFETCH_VER, __progname);
++	    _http_cmd(fd, "User-Agent: %s " _LIBFETCH_VER, "libfetch");
+ 	if (url->offset)
+ 	    _http_cmd(fd, "Range: bytes=%lld-", (long long)url->offset);
+ 	_http_cmd(fd, "Connection: close");
Index: trunk/dports/net/nmap/Portfile
===================================================================
--- trunk/dports/net/nmap/Portfile	(revision 235)
+++ trunk/dports/net/nmap/Portfile	(revision 235)
@@ -0,0 +1,14 @@
+package require port 1.0
+portname	nmap
+portversion	3.00
+categories	net
+maintainers	eric@opendarwin.org
+master_sites	http://download.insecure.org/nmap/dist/ \
+		ftp://nuxi.ucdavis.edu/pub/misc/ \
+		http://www.mobis.com/ajax/projects/
+# XXX this should probably become unnecessary, set as a reasonable default
+distname	${portname}-${portversion}
+extract_sufx	tgz
+checksums	${distname}.${extract_sufx} md5 2b648bc66f1cedbeed230ef56f6549a8
+patchfiles	patch-Makefile.in
+configure.type	gnu
Index: trunk/dports/net/nmap/files/patch-Makefile.in
===================================================================
--- trunk/dports/net/nmap/files/patch-Makefile.in	(revision 235)
+++ trunk/dports/net/nmap/files/patch-Makefile.in	(revision 235)
@@ -0,0 +1,11 @@
+--- nmap-3.00/Makefile.in.orig	Wed Aug 21 02:02:54 2002
++++ nmap-3.00/Makefile.in	Wed Aug 21 01:59:04 2002
+@@ -37,7 +37,7 @@
+ 
+ DEPS = nmap.h nmap_error.h targets.h idle_scan.h osscan.h output.h scan_engine.h timing.h tcpip.h utils.h global_structures.h charpool.h services.h protocols.h nmap_rpc.h portlist.h
+ 
+-all: $(TARGET) nmapfe/nmapfe
++all: $(TARGET)
+ 
+ $(TARGET): $(DEPS) @PCAP_DEPENDS@ $(NBASEDIR)/libnbase.a $(OBJS)
+ 	@echo Compiling nmap
Index: trunk/dports/textproc/libiconv/Portfile
===================================================================
--- trunk/dports/textproc/libiconv/Portfile	(revision 235)
+++ trunk/dports/textproc/libiconv/Portfile	(revision 235)
@@ -0,0 +1,9 @@
+package	require port 1.0
+portname	libiconv
+portversion	1.8
+categories	textproc
+maintainers	eric@opendarwin.org
+master_sites	ftp://ftp.gnu.org/pub/gnu/${portname}/
+# XXX this should probably become unnecessary, set as a reasonable default
+distname	${portname}-${portversion}
+checksums	${distname}.${extract_sufx} md5 fd2a95a4b79fbdc8ea55ad093a8bb6cf