Index: trunk/dports/comms/scud/Portfile
===================================================================
--- trunk/dports/comms/scud/Portfile	(revision 946)
+++ trunk/dports/comms/scud/Portfile	(revision 948)
@@ -9,6 +9,6 @@
 patchfiles	patch-Makefile
 configure	{}
-make.type	bsd
-make.args	PREFIX=${prefix}
+build.type	bsd
+build.args	PREFIX=${prefix}
 
 contents	etc/rc.d/scud.sh.sample \
Index: trunk/dports/databases/postgresql/Portfile
===================================================================
--- trunk/dports/databases/postgresql/Portfile	(revision 946)
+++ trunk/dports/databases/postgresql/Portfile	(revision 948)
@@ -18,5 +18,5 @@
 post-patch	{ reinplace "s|XXPREFIX|${prefix}|g" \
 		  "${workpath}/${worksrcdir}/src/Makefile.shlib" }
-make.type	gnu
+build.type	gnu
 
 include contents
Index: trunk/dports/games/nethack/Portfile
===================================================================
--- trunk/dports/games/nethack/Portfile	(revision 946)
+++ trunk/dports/games/nethack/Portfile	(revision 948)
@@ -11,5 +11,5 @@
 patchfiles	patch-Makefile.top patch-Makefile.src
 worksrcdir	${portname}-${portversion}
-make.target.install	manpages install
+build.target.install	manpages install
 
 include contents
Index: trunk/dports/graphics/gd/Portfile
===================================================================
--- trunk/dports/graphics/gd/Portfile	(revision 946)
+++ trunk/dports/graphics/gd/Portfile	(revision 948)
@@ -9,7 +9,7 @@
 patchfiles	patch-Makefile patch-gdcache.h
 depends_lib	lib:libpng:libpng lib:libjpeg:jpeg
-make.type	gnu
+build.type	gnu
 configure	{}
-make.args	PREFIX=${prefix}
+build.args	PREFIX=${prefix}
 post-install	{ system "ranlib ${prefix}/lib/libgd.a" }
  
Index: trunk/dports/irc/epic/Portfile
===================================================================
--- trunk/dports/irc/epic/Portfile	(revision 946)
+++ trunk/dports/irc/epic/Portfile	(revision 948)
@@ -11,5 +11,5 @@
 distname	${portname}4-${portversion}
 checksums	md5 53610020128ba1edb7701a73b778f75f
-make.env	LOGNAME=${env(USER)}
+build.env	LOGNAME=${env(USER)}
 patchfiles	patch-Makefile.in
 
Index: trunk/dports/irc/shadowirc/Portfile
===================================================================
--- trunk/dports/irc/shadowirc/Portfile	(revision 946)
+++ trunk/dports/irc/shadowirc/Portfile	(revision 948)
@@ -13,8 +13,8 @@
 configure	{}
 
-make.type	pbx
-make.target.all ""
-make.args	-buildstyle Deployment
-make.target.install install DSTROOT=/
+build.type	pbx
+build.target.all ""
+build.args	-buildstyle Deployment
+build.target.install install DSTROOT=/
 
 # Work around bug in plugins code
Index: trunk/dports/lang/nqc/Portfile
===================================================================
--- trunk/dports/lang/nqc/Portfile	(revision 946)
+++ trunk/dports/lang/nqc/Portfile	(revision 948)
@@ -13,5 +13,5 @@
 configure	{}
 
-make.env	TARGET=macosx
+build.env	TARGET=macosx
 contents	bin/mkdata \
 		bin/nqc \
Index: trunk/dports/mail/ssmtp/Portfile
===================================================================
--- trunk/dports/mail/ssmtp/Portfile	(revision 946)
+++ trunk/dports/mail/ssmtp/Portfile	(revision 948)
@@ -12,5 +12,5 @@
 worksrcdir	${portname}-${portversion}
 patchfiles	patch-net.c patch-generate_config
-make.type	gnu
+build.type	gnu
 
 contents	etc/ssmtp/revaliases \
Index: trunk/dports/net/libfetch/Portfile
===================================================================
--- trunk/dports/net/libfetch/Portfile	(revision 946)
+++ trunk/dports/net/libfetch/Portfile	(revision 948)
@@ -8,9 +8,9 @@
 checksums	md5 b99c647fb16c108ee40b62e18e1d2e4a
 patchfiles	patch-Makefile patch-http.c
-make.type	bsd
+build.type	bsd
 worksrcdir	${portname}
 configure	{}
 set libver	3
-make.env	LDADD=-install_name\\ ${prefix}/lib/libfetch.${libver}.dylib
+build.env	LDADD=-install_name\\ ${prefix}/lib/libfetch.${libver}.dylib
 install		{ cd ${workpath}/${worksrcdir}
 		  system "install -o root -m 755 -d ${prefix}/lib"
Index: trunk/dports/net/netcat/Portfile
===================================================================
--- trunk/dports/net/netcat/Portfile	(revision 946)
+++ trunk/dports/net/netcat/Portfile	(revision 948)
@@ -16,5 +16,5 @@
 		  system "tar xfz ${distpath}/${distfiles}" }
 configure	{}
-make.target.all	next
+build.target.all	next
 patchfiles	patch-Makefile
 install		{ cd ${workpath}/${worksrcdir}
Index: trunk/dports/print/teTeX/Portfile
===================================================================
--- trunk/dports/print/teTeX/Portfile	(revision 946)
+++ trunk/dports/print/teTeX/Portfile	(revision 948)
@@ -52,5 +52,5 @@
 	      system "tar xfz ${distpath}/${tetex_texmf}" }
 
-make.target.install	install strip
+build.target.install	install strip
 
 depends_lib	lib:libpng.3:libpng lib:libwwwcore.0:libwww
Index: trunk/dports/textproc/dict/Portfile
===================================================================
--- trunk/dports/textproc/dict/Portfile	(revision 946)
+++ trunk/dports/textproc/dict/Portfile	(revision 948)
@@ -11,7 +11,7 @@
 configure.type		gnu
 configure.args		--without-local-zlib --with-etcdir=${prefix}/etc
-make.type		gnu
-make.target.all		dict
-make.target.install	install.dict
+build.type		gnu
+build.target.all		dict
+build.target.install	install.dict
 contents		bin/dict \
 			man/man1/dict.1
Index: trunk/dports/textproc/figlet/Portfile
===================================================================
--- trunk/dports/textproc/figlet/Portfile	(revision 946)
+++ trunk/dports/textproc/figlet/Portfile	(revision 948)
@@ -13,5 +13,5 @@
 configure		{}
 
-make.env		PREFIX=$prefix
+build.env		PREFIX=$prefix
 
 # Yes, we want contents of share/figlet to be included
Index: trunk/dports/textproc/ispell/Portfile
===================================================================
--- trunk/dports/textproc/ispell/Portfile	(revision 946)
+++ trunk/dports/textproc/ispell/Portfile	(revision 948)
@@ -7,5 +7,5 @@
 master_sites		http://fmg-www.cs.ucla.edu/geoff/tars/
 checksums		md5 d434e1aef1a815294d5012c60c4c414a
-make.env		TMPDIR=${workpath}
+build.env		TMPDIR=${workpath}
 configure {
 			cd ${workpath}/${worksrcdir}
Index: trunk/dports/textproc/openjade/Portfile
===================================================================
--- trunk/dports/textproc/openjade/Portfile	(revision 946)
+++ trunk/dports/textproc/openjade/Portfile	(revision 948)
@@ -11,6 +11,6 @@
 configure.type		gnu
 configure.args		--prefix=$prefix CXXFLAGS=-fno-rtti
-make.type			gnu
-make.target.install	install install-man
+build.type			gnu
+build.target.install	install install-man
 
 contents		bin/onsgmls bin/openjade bin/osgmlnorm bin/ospam bin/ospent bin/osx \
Index: trunk/dports/x11/XFree86/Portfile
===================================================================
--- trunk/dports/x11/XFree86/Portfile	(revision 946)
+++ trunk/dports/x11/XFree86/Portfile	(revision 948)
@@ -10,5 +10,5 @@
 configure	{}
 worksrcdir	xc
-make.target.all	World
+build.target.all	World
 
 if {[regexp ^6\. ${os.version} match] == 1} {
Index: trunk/dports/x11/gtk/Portfile
===================================================================
--- trunk/dports/x11/gtk/Portfile	(revision 946)
+++ trunk/dports/x11/gtk/Portfile	(revision 948)
@@ -21,5 +21,5 @@
 
 configure.args	--with-glib-prefix=${prefix}
-make.args	CFLAGS+=-I/usr/X11R6/include
+build.args	CFLAGS+=-I/usr/X11R6/include
 patchfiles	patch-config.guess patch-config.sub
 