Index: trunk/dports/databases/gdbm/Portfile
===================================================================
--- trunk/dports/databases/gdbm/Portfile	(revision 948)
+++ trunk/dports/databases/gdbm/Portfile	(revision 953)
@@ -8,5 +8,5 @@
 master_sites	ftp://ftp.gnu.org/pub/gnu/gdbm/
 distname	${portname}-${portversion}
-checksums	${distname}${extract_sufx} md5 8057e1ea80310b15af8e6a0fc9c39584
+checksums	md5 8057e1ea80310b15af8e6a0fc9c39584
 patchfiles	patch-Makefile.in
 contents	{
Index: trunk/dports/databases/mysql/Portfile
===================================================================
--- trunk/dports/databases/mysql/Portfile	(revision 948)
+++ trunk/dports/databases/mysql/Portfile	(revision 953)
@@ -9,5 +9,5 @@
 		http://www.opendarwin.org/~eric/:libtool
 
-set filename	${portname}-${portversion}${extract_sufx}
+set filename	${portname}-${portversion}${extract.sufx}
 distfiles	${filename} ltconfig13:libtool ltmain13:libtool
 extract.only	${filename}
Index: trunk/dports/devel/apr/Portfile
===================================================================
--- trunk/dports/devel/apr/Portfile	(revision 948)
+++ trunk/dports/devel/apr/Portfile	(revision 953)
@@ -16,6 +16,6 @@
 extract	{
 		cd ${workpath}
-		system "tar zxvf ${distpath}/apr-${portversion}${extract_sufx}"
-		system "tar zxvf ${distpath}/apr-util-${portversion}${extract_sufx}"
+		system "tar zxvf ${distpath}/apr-${portversion}${extract.sufx}"
+		system "tar zxvf ${distpath}/apr-util-${portversion}${extract.sufx}"
 		system "mv apr-${portversion} apr"
 		system "mv apr-util-${portversion} apr-util"
Index: trunk/dports/devel/glib/Portfile
===================================================================
--- trunk/dports/devel/glib/Portfile	(revision 948)
+++ trunk/dports/devel/glib/Portfile	(revision 953)
@@ -7,5 +7,5 @@
 master_sites	ftp://ftp.gtk.org/pub/gtk/v1.2/ \
 		http://www.opendarwin.org/~eric/:libtool
-set filename	${portname}-${portversion}${extract_sufx}
+set filename	${portname}-${portversion}${extract.sufx}
 distfiles	${filename} ltconfig13:libtool ltmain13:libtool
 checksums	${filename} md5 6fe30dad87c77b91b632def29dd69ef9 \
Index: trunk/dports/devel/netinet-headers/Portfile
===================================================================
--- trunk/dports/devel/netinet-headers/Portfile	(revision 948)
+++ trunk/dports/devel/netinet-headers/Portfile	(revision 953)
@@ -12,5 +12,5 @@
 
 use_bzip2
-extract_sufx 	.tar.bz2
+extract.sufx 	.tar.bz2
 
 configure		{}
Index: trunk/dports/games/nethack/Portfile
===================================================================
--- trunk/dports/games/nethack/Portfile	(revision 948)
+++ trunk/dports/games/nethack/Portfile	(revision 953)
@@ -7,5 +7,5 @@
 master_sites	http://twtelecom.dl.sourceforge.net/sourceforge/nethack/
 distname	${portname}-340
-extract_sufx	.tgz
+extract.sufx	.tgz
 checksums	md5 0093f14fbbe449d5b188bfb6aa4eae4f
 patchfiles	patch-Makefile.top patch-Makefile.src
Index: trunk/dports/graphics/libungif/Portfile
===================================================================
--- trunk/dports/graphics/libungif/Portfile	(revision 948)
+++ trunk/dports/graphics/libungif/Portfile	(revision 953)
@@ -9,5 +9,5 @@
 		http://www.opendarwin.org/~eric/:libtool
 
-set filename	${portname}-${portversion}${extract_sufx}
+set filename	${portname}-${portversion}${extract.sufx}
 distfiles	${filename} ltconfig13:libtool ltmain13:libtool
 extract.only	${filename}
Index: trunk/dports/lang/nqc/Portfile
===================================================================
--- trunk/dports/lang/nqc/Portfile	(revision 948)
+++ trunk/dports/lang/nqc/Portfile	(revision 953)
@@ -7,5 +7,5 @@
 
 master_sites	http://www.baumfamily.org/nqc/release/
-extract_sufx	.tgz
+extract.sufx	.tgz
 checksums	md5 5fc032b990dc065d523285d9ccab91b4
 post-patch	{ reinplace s|/usr/local|${prefix}/| ${worksrcpath}/Makefile }
Index: trunk/dports/lang/perl5.8/Portfile
===================================================================
--- trunk/dports/lang/perl5.8/Portfile	(revision 948)
+++ trunk/dports/lang/perl5.8/Portfile	(revision 953)
@@ -9,5 +9,5 @@
 master_sites	http://www.cpan.org/src/
 distname	stable
-checksums	stable${extract_sufx} md5 d9bdb180620306023fd35901a2878b62
+checksums	stable${extract.sufx} md5 d9bdb180620306023fd35901a2878b62
 
 
Index: trunk/dports/mail/gnupg/Portfile
===================================================================
--- trunk/dports/mail/gnupg/Portfile	(revision 948)
+++ trunk/dports/mail/gnupg/Portfile	(revision 953)
@@ -8,5 +8,5 @@
 		http://macgpg.sourceforge.net/patches/
 
-checksums	${portname}-${portversion}${extract_sufx} \
+checksums	${portname}-${portversion}${extract.sufx} \
 		md5 d8b36d4dfd213a1a1027b1877acbc897 \
 		${portname}-${portversion}-darwin.diff \
Index: trunk/dports/net/nmap/Portfile
===================================================================
--- trunk/dports/net/nmap/Portfile	(revision 948)
+++ trunk/dports/net/nmap/Portfile	(revision 953)
@@ -7,5 +7,5 @@
 master_sites	http://download.insecure.org/nmap/dist/ \
 		ftp://nuxi.ucdavis.edu/pub/misc/
-extract_sufx	.tgz
+extract.sufx	.tgz
 checksums	md5 2b648bc66f1cedbeed230ef56f6549a8
 patchfiles	patch-Makefile.in
Index: trunk/dports/security/gnupg/Portfile
===================================================================
--- trunk/dports/security/gnupg/Portfile	(revision 948)
+++ trunk/dports/security/gnupg/Portfile	(revision 953)
@@ -8,5 +8,5 @@
 		http://macgpg.sourceforge.net/patches/
 
-checksums	${portname}-${portversion}${extract_sufx} \
+checksums	${portname}-${portversion}${extract.sufx} \
 		md5 d8b36d4dfd213a1a1027b1877acbc897 \
 		${portname}-${portversion}-darwin.diff \
Index: trunk/dports/textproc/chef/Portfile
===================================================================
--- trunk/dports/textproc/chef/Portfile	(revision 948)
+++ trunk/dports/textproc/chef/Portfile	(revision 953)
@@ -8,5 +8,5 @@
 master_sites		ftp://tbrowne.best.vwh.net/swedish_chef/
 distname		bork
-extract_sufx		.tar.Z
+extract.sufx		.tar.Z
 
 checksums		md5 5194b5a69436b0f90137f957d19d684d
Index: trunk/dports/www/apache/Portfile
===================================================================
--- trunk/dports/www/apache/Portfile	(revision 948)
+++ trunk/dports/www/apache/Portfile	(revision 953)
@@ -9,5 +9,5 @@
 master_sites		http://www.apache.org/dist/httpd/
 distname		${portname}_${portversion}
-checksums		${distname}${extract_sufx} md5 65b89365a65dcad71d4402b4862beeaa
+checksums		${distname}${extract.sufx} md5 65b89365a65dcad71d4402b4862beeaa
 
 
@@ -42,8 +42,8 @@
 
 distname			${portname}_${portversion}
-distfiles-append	mod_perl-1.27${extract_sufx}:perl
-extract.only 		${distname}${extract_sufx} mod_perl-1.27${extract_sufx}
+distfiles-append	mod_perl-1.27${extract.sufx}:perl
+extract.only 		${distname}${extract.sufx} mod_perl-1.27${extract.sufx}
 
-checksums-append	mod_perl-1.27${extract_sufx} md5 bd07f4f1065eb0d0a8d8004219357d8c
+checksums-append	mod_perl-1.27${extract.sufx} md5 bd07f4f1065eb0d0a8d8004219357d8c
 
 depends_lib bin:perl5\.8\..:perl5.8
@@ -81,14 +81,14 @@
 
 distname			${portname}_${portversion}
-distfiles-append	mod_perl-1.27${extract_sufx}:perl \
-					apreq${extract_sufx}:apreq
-extract.only 		${distname}${extract_sufx} mod_perl-1.27${extract_sufx} \
-					apreq${extract_sufx}
+distfiles-append	mod_perl-1.27${extract.sufx}:perl \
+					apreq${extract.sufx}:apreq
+extract.only 		${distname}${extract.sufx} mod_perl-1.27${extract.sufx} \
+					apreq${extract.sufx}
 				
 patch_sites http://www.apache.org/~joes/
 patchfiles apreq.patch
 
-checksums-append	mod_perl-1.27${extract_sufx} md5 bd07f4f1065eb0d0a8d8004219357d8c \
-					apreq${extract_sufx} md5 122f54f2f3ab6bf76370558d92a7e086 \
+checksums-append	mod_perl-1.27${extract.sufx} md5 bd07f4f1065eb0d0a8d8004219357d8c \
+					apreq${extract.sufx} md5 122f54f2f3ab6bf76370558d92a7e086 \
 					apreq.patch md5 585180d82c20767d48c04fb2b7320aec
 			
Index: trunk/dports/www/libwww/Portfile
===================================================================
--- trunk/dports/www/libwww/Portfile	(revision 948)
+++ trunk/dports/www/libwww/Portfile	(revision 953)
@@ -10,7 +10,7 @@
 			http://www.opendarwin.org/~eric/:libtool
 distname		w3c-${portname}-${portversion}
-extract_sufx		.tgz
+extract.sufx		.tgz
 distfiles-append	ltconfig13:libtool ltmain13:libtool
-extract.only		${distname}${extract_sufx}
+extract.only		${distname}${extract.sufx}
 checksums		${distname}.tgz md5 c3734ca6caa405707e134cc8c6d7e422 \
 			ltconfig13 md5 ea53f42a550c9f9e653758a8ed91574e \
Index: trunk/dports/x11/gtk/Portfile
===================================================================
--- trunk/dports/x11/gtk/Portfile	(revision 948)
+++ trunk/dports/x11/gtk/Portfile	(revision 953)
@@ -9,5 +9,5 @@
 distname	${portname}+-${portversion}
 distfiles-append ltconfig13:libtool ltmain13:libtool
-extract.only	${distname}${extract_sufx}
+extract.only	${distname}${extract.sufx}
 
 depends_build	lib:libglib.1:glib lib:libX11.6:XFree86