Index: trunk/dports/textproc/libxml/Portfile
===================================================================
--- trunk/dports/textproc/libxml/Portfile	(revision 969)
+++ trunk/dports/textproc/libxml/Portfile	(revision 969)
@@ -0,0 +1,28 @@
+PortSystem 		1.0
+
+name		libxml2
+version		2.4.25
+
+categories		textproc
+description		gnome xml library
+
+maintainers 	mike+libxslt@gene-hacker.net
+
+master_sites 	ftp://ftp.gnome.org/pub/GNOME/sources/libxml2/2.4/ \
+				ftp://xmlsoft.org/ 
+checksums		md5 1c7eda55e0190111170534c5d6e8fc60
+
+patchfiles		patch-catalog.c patch-configure patch-ltmain.sh \
+				patch-Makefile.in patch-xmlcatalog.c patch-xmllint.c
+
+post-patch		{reinplace s|@PREFIX@|${prefix}|g catalog.c 
+				 reinplace s|@PREFIX@|${prefix}|g xmllint.c
+				 reinplace s|@PREFIX@|${prefix}|g xmlcatalog.c}
+
+depends_lib		lib:libiconv:libiconv
+
+configure.args	--with-iconv=${prefix} --mandir=${prefix}/share/man
+
+include contents
+
+
Index: trunk/dports/textproc/libxml/contents
===================================================================
--- trunk/dports/textproc/libxml/contents	(revision 969)
+++ trunk/dports/textproc/libxml/contents	(revision 969)
@@ -0,0 +1,135 @@
+contents {
+bin/xml2-config
+bin/xmlcatalog
+bin/xmllint
+doc/libxml2-2.4.25/Copyright
+doc/libxml2-2.4.25/examples/testHTML.c
+doc/libxml2-2.4.25/examples/testSAX.c
+doc/libxml2-2.4.25/examples/testXPath.c
+doc/libxml2-2.4.25/examples/xmllint.c
+doc/libxml2-2.4.25/examples
+doc/libxml2-2.4.25/html/book1.html
+doc/libxml2-2.4.25/html/DOM.gif
+doc/libxml2-2.4.25/html/encoding.html
+doc/libxml2-2.4.25/html/FAQ.html
+doc/libxml2-2.4.25/html/index.sgml
+doc/libxml2-2.4.25/html/libxml-c14n.html
+doc/libxml2-2.4.25/html/libxml-catalog.html
+doc/libxml2-2.4.25/html/libxml-debugxml.html
+doc/libxml2-2.4.25/html/libxml-docbparser.html
+doc/libxml2-2.4.25/html/libxml-encoding.html
+doc/libxml2-2.4.25/html/libxml-entities.html
+doc/libxml2-2.4.25/html/libxml-globals.html
+doc/libxml2-2.4.25/html/libxml-hash.html
+doc/libxml2-2.4.25/html/libxml-htmlparser.html
+doc/libxml2-2.4.25/html/libxml-htmltree.html
+doc/libxml2-2.4.25/html/libxml-lib.html
+doc/libxml2-2.4.25/html/libxml-nanoftp.html
+doc/libxml2-2.4.25/html/libxml-nanohttp.html
+doc/libxml2-2.4.25/html/libxml-notes.html
+doc/libxml2-2.4.25/html/libxml-parser.html
+doc/libxml2-2.4.25/html/libxml-parserinternals.html
+doc/libxml2-2.4.25/html/libxml-sax.html
+doc/libxml2-2.4.25/html/libxml-threads.html
+doc/libxml2-2.4.25/html/libxml-tree.html
+doc/libxml2-2.4.25/html/libxml-uri.html
+doc/libxml2-2.4.25/html/libxml-valid.html
+doc/libxml2-2.4.25/html/libxml-xinclude.html
+doc/libxml2-2.4.25/html/libxml-xmlerror.html
+doc/libxml2-2.4.25/html/libxml-xmlio.html
+doc/libxml2-2.4.25/html/libxml-xmlmemory.html
+doc/libxml2-2.4.25/html/libxml-xpath.html
+doc/libxml2-2.4.25/html/libxml-xpathinternals.html
+doc/libxml2-2.4.25/html/libxml-xpointer.html
+doc/libxml2-2.4.25/html/libxml.gif
+doc/libxml2-2.4.25/html/Libxml2-Logo-180x168.gif
+doc/libxml2-2.4.25/html/Libxml2-Logo-90x34.gif
+doc/libxml2-2.4.25/html/redhat.gif
+doc/libxml2-2.4.25/html/smallfootonly.gif
+doc/libxml2-2.4.25/html/structure.gif
+doc/libxml2-2.4.25/html/w3c.png
+doc/libxml2-2.4.25/html/xml.html
+doc/libxml2-2.4.25/html
+doc/libxml2-2.4.25
+include/libxml2/libxml/c14n.h
+include/libxml2/libxml/catalog.h
+include/libxml2/libxml/debugXML.h
+include/libxml2/libxml/DOCBparser.h
+include/libxml2/libxml/encoding.h
+include/libxml2/libxml/entities.h
+include/libxml2/libxml/globals.h
+include/libxml2/libxml/hash.h
+include/libxml2/libxml/HTMLparser.h
+include/libxml2/libxml/HTMLtree.h
+include/libxml2/libxml/list.h
+include/libxml2/libxml/nanoftp.h
+include/libxml2/libxml/nanohttp.h
+include/libxml2/libxml/parser.h
+include/libxml2/libxml/parserInternals.h
+include/libxml2/libxml/SAX.h
+include/libxml2/libxml/schemasInternals.h
+include/libxml2/libxml/threads.h
+include/libxml2/libxml/tree.h
+include/libxml2/libxml/uri.h
+include/libxml2/libxml/valid.h
+include/libxml2/libxml/xinclude.h
+include/libxml2/libxml/xlink.h
+include/libxml2/libxml/xmlautomata.h
+include/libxml2/libxml/xmlerror.h
+include/libxml2/libxml/xmlIO.h
+include/libxml2/libxml/xmlmemory.h
+include/libxml2/libxml/xmlregexp.h
+include/libxml2/libxml/xmlschemas.h
+include/libxml2/libxml/xmlschemastypes.h
+include/libxml2/libxml/xmlunicode.h
+include/libxml2/libxml/xmlversion.h
+include/libxml2/libxml/xmlwin32version.h
+include/libxml2/libxml/xpath.h
+include/libxml2/libxml/xpathInternals.h
+include/libxml2/libxml/xpointer.h
+include/libxml2/libxml
+include/libxml2
+lib/libxml2.2.4.25.dylib
+lib/libxml2.2.dylib
+lib/libxml2.a
+lib/libxml2.dylib
+lib/libxml2.la
+lib/pkgconfig/libxml-2.0.pc
+lib/python2.2/site-packages/libxml2.py
+lib/python2.2/site-packages/libxml2mod.a
+lib/python2.2/site-packages/libxml2mod.la
+lib/python2.2/site-packages/libxml2mod.so
+lib/python2.2/site-packages
+lib/python2.2
+lib/xml2Conf.sh
+share/aclocal/libxml.m4
+share/doc/libxml2-python-2.4.25/examples/attribs.py
+share/doc/libxml2-python-2.4.25/examples/build.py
+share/doc/libxml2-python-2.4.25/examples/cutnpaste.py
+share/doc/libxml2-python-2.4.25/examples/error.py
+share/doc/libxml2-python-2.4.25/examples/inbuf.py
+share/doc/libxml2-python-2.4.25/examples/invalid.xml
+share/doc/libxml2-python-2.4.25/examples/outbuf.py
+share/doc/libxml2-python-2.4.25/examples/push.py
+share/doc/libxml2-python-2.4.25/examples/pushSAX.py
+share/doc/libxml2-python-2.4.25/examples/pushSAXhtml.py
+share/doc/libxml2-python-2.4.25/examples/regexp.py
+share/doc/libxml2-python-2.4.25/examples/resolver.py
+share/doc/libxml2-python-2.4.25/examples/serialize.py
+share/doc/libxml2-python-2.4.25/examples/tst.py
+share/doc/libxml2-python-2.4.25/examples/tst.xml
+share/doc/libxml2-python-2.4.25/examples/tstURI.py
+share/doc/libxml2-python-2.4.25/examples/tstxpath.py
+share/doc/libxml2-python-2.4.25/examples/valid.xml
+share/doc/libxml2-python-2.4.25/examples/validate.py
+share/doc/libxml2-python-2.4.25/examples/xpath.py
+share/doc/libxml2-python-2.4.25/examples/xpathext.py
+share/doc/libxml2-python-2.4.25/examples/xpathret.py
+share/doc/libxml2-python-2.4.25/examples
+share/doc/libxml2-python-2.4.25/TODO
+share/doc/libxml2-python-2.4.25
+share/man/man1/xml2-config.1
+share/man/man1/xmlcatalog.1
+share/man/man1/xmllint.1
+share/man/man3/libxml.3
+}
Index: trunk/dports/textproc/libxml/files/patch-Makefile.in
===================================================================
--- trunk/dports/textproc/libxml/files/patch-Makefile.in	(revision 969)
+++ trunk/dports/textproc/libxml/files/patch-Makefile.in	(revision 969)
@@ -0,0 +1,12 @@
+diff -Naur Makefile.in libxml2-2.4.23.new/Makefile.in
+--- Makefile.in	Sun Jul  7 05:00:16 2002
++++ Makefile.in	Sun Jul 14 15:53:31 2002
+@@ -263,7 +263,7 @@
+ 
+ DEFS = @DEFS@ -I. -I$(srcdir) -I.
+ CPPFLAGS = @CPPFLAGS@
+-LDFLAGS = @LDFLAGS@
++LDFLAGS = 
+ LIBS = @LIBS@
+ libxml2_la_DEPENDENCIES = 
+ @WITH_TRIO_SOURCES_FALSE@libxml2_la_OBJECTS =  SAX.lo entities.lo \
Index: trunk/dports/textproc/libxml/files/patch-catalog.c
===================================================================
--- trunk/dports/textproc/libxml/files/patch-catalog.c	(revision 969)
+++ trunk/dports/textproc/libxml/files/patch-catalog.c	(revision 969)
@@ -0,0 +1,16 @@
+diff -Naur catalog.c libxml2-2.4.23.new/catalog.c
+--- catalog.c	Tue Mar 19 04:37:54 2002
++++ catalog.c	Sun Jul 14 16:11:01 2002
+@@ -56,10 +56,10 @@
+ #define XML_URN_PUBID "urn:publicid:"
+ #define XML_CATAL_BREAK ((xmlChar *) -1)
+ #ifndef XML_XML_DEFAULT_CATALOG
+-#define XML_XML_DEFAULT_CATALOG "file:///etc/xml/catalog"
++#define XML_XML_DEFAULT_CATALOG "file://@PREFIX@/etc/xml/catalog"
+ #endif
+ #ifndef XML_SGML_DEFAULT_CATALOG
+-#define XML_SGML_DEFAULT_CATALOG "file:///etc/sgml/catalog"
++#define XML_SGML_DEFAULT_CATALOG "file://@PREFIX@/etc/sgml/catalog"
+ #endif
+ 
+ static int xmlExpandCatalog(xmlCatalogPtr catal, const char *filename);
Index: trunk/dports/textproc/libxml/files/patch-configure
===================================================================
--- trunk/dports/textproc/libxml/files/patch-configure	(revision 969)
+++ trunk/dports/textproc/libxml/files/patch-configure	(revision 969)
@@ -0,0 +1,17 @@
+diff -Naur configure configure
+--- configure	Sun Jul  7 05:00:18 2002
++++ configure	Sun Jul 14 15:53:31 2002
+@@ -3780,11 +3780,11 @@
+     ;;
+ 
+   darwin* | rhapsody*)
+-    allow_undefined_flag='-undefined suppress'
++    allow_undefined_flag='-flat_namespace -undefined suppress'
+     # FIXME: Relying on posixy $() will cause problems for
+     #        cross-compilation, but unfortunately the echo tests do not
+     #        yet detect zsh echo's removal of \ escapes.
+-    archive_cmds='$CC $(test .$module = .yes && echo -bundle || echo -dynamiclib) $allow_undefined_flag -o $lib $libobjs $deplibs$linkopts -install_name $rpath/$soname $(test -n "$verstring" -a x$verstring != x0.0 && echo $verstring)'
++    archive_cmds='$CC $(test .$module = .yes && echo -bundle || echo -dynamiclib) $allow_undefined_flag -o $lib $libobjs $deplibs$linkopts $(test .$module != .yes && echo -install_name $rpath/$soname $tmp_verstring)'
+     # We need to add '_' to the symbols in $export_symbols first
+     #archive_expsym_cmds="$archive_cmds"' && strip -s $export_symbols'
+     hardcode_direct=yes
Index: trunk/dports/textproc/libxml/files/patch-ltmain.sh
===================================================================
--- trunk/dports/textproc/libxml/files/patch-ltmain.sh	(revision 969)
+++ trunk/dports/textproc/libxml/files/patch-ltmain.sh	(revision 969)
@@ -0,0 +1,15 @@
+diff -Naur ltmain.sh ltmain.sh
+--- ltmain.sh	Sun Jul  7 05:00:15 2002
++++ ltmain.sh	Sun Jul 14 15:53:31 2002
+@@ -2858,6 +2858,11 @@
+ 	if test -n "$export_symbols" && test -n "$archive_expsym_cmds"; then
+ 	  eval cmds=\"$archive_expsym_cmds\"
+ 	else
++          if test "x$verstring" = "x0.0"; then
++            tmp_verstring=
++          else
++            tmp_verstring="$verstring"
++          fi
+ 	  eval cmds=\"$archive_cmds\"
+ 	fi
+ 	IFS="${IFS= 	}"; save_ifs="$IFS"; IFS='~'
Index: trunk/dports/textproc/libxml/files/patch-xmlcatalog.c
===================================================================
--- trunk/dports/textproc/libxml/files/patch-xmlcatalog.c	(revision 969)
+++ trunk/dports/textproc/libxml/files/patch-xmlcatalog.c	(revision 969)
@@ -0,0 +1,12 @@
+diff -Naur xmlcatalog.c xmlcatalog.c
+--- xmlcatalog.c	Fri Mar 22 12:35:22 2002
++++ xmlcatalog.c	Sun Jul 14 16:11:06 2002
+@@ -41,7 +41,7 @@
+ 
+ #ifdef LIBXML_CATALOG_ENABLED
+ 
+-#define XML_SGML_DEFAULT_CATALOG "/etc/sgml/catalog"
++#define XML_SGML_DEFAULT_CATALOG "@PREFIX@/etc/sgml/catalog"
+ 
+ /************************************************************************
+  * 									*
Index: trunk/dports/textproc/libxml/files/patch-xmllint.c
===================================================================
--- trunk/dports/textproc/libxml/files/patch-xmllint.c	(revision 969)
+++ trunk/dports/textproc/libxml/files/patch-xmllint.c	(revision 969)
@@ -0,0 +1,12 @@
+diff -Naur xmllint.c xmllint.c
+--- xmllint.c	Sun Jun 16 11:35:21 2002
++++ xmllint.c	Sun Jul 14 16:11:10 2002
+@@ -1024,7 +1024,7 @@
+ #ifdef LIBXML_CATALOG_ENABLED
+     printf("\t--catalogs : use SGML catalogs from $SGML_CATALOG_FILES\n");
+     printf("\t             otherwise XML Catalogs starting from \n");
+-    printf("\t         file:///etc/xml/catalog are activated by default\n");
++    printf("\t         file://@PREFIX@/etc/xml/catalog are activated by default\n");
+     printf("\t--nocatalogs: deactivate all catalogs\n");
+ #endif
+     printf("\t--auto : generate a small doc on the fly\n");