Index: trunk/dports/textproc/libxslt/Portfile
===================================================================
--- trunk/dports/textproc/libxslt/Portfile	(revision 970)
+++ trunk/dports/textproc/libxslt/Portfile	(revision 970)
@@ -0,0 +1,19 @@
+PortSystem 		1.0
+
+name		libxslt
+version		1.0.21
+
+description		gnome xslt library and xsltproc
+categories		textproc
+
+maintainers 		mike+libxslt@gene-hacker.net
+
+master_sites 	ftp://xmlsoft.org/ \
+				ftp://ftp.gnome.org/pub/GNOME/sources/libxslt/1.0/
+checksums		md5 9cc0491e2584788748eb7069ea1d5277
+depends_lib		lib:libxml2:libxml
+patchfiles		patch-aclocal.m4 patch-configure patch-ltmain.sh
+
+configure.args	--mandir=${prefix}/share/man
+
+include contents
Index: trunk/dports/textproc/libxslt/contents
===================================================================
--- trunk/dports/textproc/libxslt/contents	(revision 970)
+++ trunk/dports/textproc/libxslt/contents	(revision 970)
@@ -0,0 +1,121 @@
+contents {
+bin/xslt-config
+bin/xsltproc
+doc/libxslt-1.0.21/html/API.html
+doc/libxslt-1.0.21/html/APIchunk0.html
+doc/libxslt-1.0.21/html/APIchunk1.html
+doc/libxslt-1.0.21/html/APIchunk2.html
+doc/libxslt-1.0.21/html/APIchunk3.html
+doc/libxslt-1.0.21/html/APIchunk4.html
+doc/libxslt-1.0.21/html/APIchunk5.html
+doc/libxslt-1.0.21/html/APIchunk6.html
+doc/libxslt-1.0.21/html/APIconstructors.html
+doc/libxslt-1.0.21/html/APIfiles.html
+doc/libxslt-1.0.21/html/APIfunctions.html
+doc/libxslt-1.0.21/html/APIsymbols.html
+doc/libxslt-1.0.21/html/book1.html
+doc/libxslt-1.0.21/html/bugs.html
+doc/libxslt-1.0.21/html/contexts.gif
+doc/libxslt-1.0.21/html/contribs.html
+doc/libxslt-1.0.21/html/docbook.html
+doc/libxslt-1.0.21/html/docs.html
+doc/libxslt-1.0.21/html/downloads.html
+doc/libxslt-1.0.21/html/extensions.html
+doc/libxslt-1.0.21/html/FAQ.html
+doc/libxslt-1.0.21/html/help.html
+doc/libxslt-1.0.21/html/index.html
+doc/libxslt-1.0.21/html/index.sgml
+doc/libxslt-1.0.21/html/internals.html
+doc/libxslt-1.0.21/html/intro.html
+doc/libxslt-1.0.21/html/libxslt-attributes.html
+doc/libxslt-1.0.21/html/libxslt-extensions.html
+doc/libxslt-1.0.21/html/libxslt-functions.html
+doc/libxslt-1.0.21/html/libxslt-imports.html
+doc/libxslt-1.0.21/html/libxslt-keys.html
+doc/libxslt-1.0.21/html/libxslt-lib.html
+doc/libxslt-1.0.21/html/Libxslt-Logo-180x168.gif
+doc/libxslt-1.0.21/html/Libxslt-Logo-90x34.gif
+doc/libxslt-1.0.21/html/libxslt-namespaces.html
+doc/libxslt-1.0.21/html/libxslt-notes.html
+doc/libxslt-1.0.21/html/libxslt-numbersinternals.html
+doc/libxslt-1.0.21/html/libxslt-pattern.html
+doc/libxslt-1.0.21/html/libxslt-templates.html
+doc/libxslt-1.0.21/html/libxslt-transform.html
+doc/libxslt-1.0.21/html/libxslt-variables.html
+doc/libxslt-1.0.21/html/libxslt-xslt.html
+doc/libxslt-1.0.21/html/libxslt-xsltinternals.html
+doc/libxslt-1.0.21/html/libxslt-xsltutils.html
+doc/libxslt-1.0.21/html/news.html
+doc/libxslt-1.0.21/html/node.gif
+doc/libxslt-1.0.21/html/object.gif
+doc/libxslt-1.0.21/html/processing.gif
+doc/libxslt-1.0.21/html/python.html
+doc/libxslt-1.0.21/html/redhat.gif
+doc/libxslt-1.0.21/html/smallfootonly.gif
+doc/libxslt-1.0.21/html/stylesheet.gif
+doc/libxslt-1.0.21/html/templates.gif
+doc/libxslt-1.0.21/html/tutorial/libxslt_tutorial.c
+doc/libxslt-1.0.21/html/tutorial/libxslttutorial.html
+doc/libxslt-1.0.21/html/tutorial/libxslttutorial.xml
+doc/libxslt-1.0.21/html/tutorial
+doc/libxslt-1.0.21/html/xslt.html
+doc/libxslt-1.0.21/html/xsltproc.html
+doc/libxslt-1.0.21/html/xsltproc2.html
+doc/libxslt-1.0.21/html
+doc/libxslt-1.0.21
+include/libexslt/exslt.h
+include/libexslt/exsltconfig.h
+include/libexslt
+include/libxslt/attributes.h
+include/libxslt/documents.h
+include/libxslt/extensions.h
+include/libxslt/extra.h
+include/libxslt/functions.h
+include/libxslt/imports.h
+include/libxslt/keys.h
+include/libxslt/namespaces.h
+include/libxslt/numbersInternals.h
+include/libxslt/pattern.h
+include/libxslt/preproc.h
+include/libxslt/templates.h
+include/libxslt/transform.h
+include/libxslt/variables.h
+include/libxslt/xslt.h
+include/libxslt/xsltconfig.h
+include/libxslt/xsltInternals.h
+include/libxslt/xsltutils.h
+include/libxslt
+lib/libexslt.0.7.12.dylib
+lib/libexslt.0.dylib
+lib/libexslt.a
+lib/libexslt.dylib
+lib/libexslt.la
+lib/libxslt.1.0.21.dylib
+lib/libxslt.1.dylib
+lib/libxslt.a
+lib/libxslt.dylib
+lib/libxslt.la
+lib/libxsltbreakpoint.1.0.8.dylib
+lib/libxsltbreakpoint.1.dylib
+lib/libxsltbreakpoint.a
+lib/libxsltbreakpoint.dylib
+lib/libxsltbreakpoint.la
+lib/pkgconfig/libxslt.pc
+lib/python2.2/site-packages/libxslt.py
+lib/python2.2/site-packages/libxsltmod.a
+lib/python2.2/site-packages/libxsltmod.la
+lib/python2.2/site-packages/libxsltmod.so
+lib/xsltConf.sh
+share/doc/libxslt-python-1.0.21/examples/basic.py
+share/doc/libxslt-python-1.0.21/examples/extfunc.py
+share/doc/libxslt-python-1.0.21/examples/pyxsltproc.py
+share/doc/libxslt-python-1.0.21/examples/test.xml
+share/doc/libxslt-python-1.0.21/examples/test.xsl
+share/doc/libxslt-python-1.0.21/examples
+share/doc/libxslt-python-1.0.21/TODO
+share/doc/libxslt-python-1.0.21
+share/man/man1/xsltproc.1
+share/man/man4/libexslt.4
+share/man/man4/libxslt.4
+share/man/man4
+}
Index: trunk/dports/textproc/libxslt/files/patch-aclocal.m4
===================================================================
--- trunk/dports/textproc/libxslt/files/patch-aclocal.m4	(revision 970)
+++ trunk/dports/textproc/libxslt/files/patch-aclocal.m4	(revision 970)
@@ -0,0 +1,12 @@
+diff -uNbr aclocal.m4 libxslt-1.0.18-new/aclocal.m4
+--- aclocal.m4	Mon May 27 17:31:20 2002
++++ libxslt-1.0.18-new/aclocal.m4	Thu Jun  6 22:49:06 2002
+@@ -1635,7 +1635,7 @@
+     ;;
+ 
+   darwin* | rhapsody*)
+-    allow_undefined_flag='-undefined suppress'
++    allow_undefined_flag='-undefined suppress -flat_namespace'
+     # FIXME: Relying on posixy $() will cause problems for
+     #        cross-compilation, but unfortunately the echo tests do not
+     #        yet detect zsh echo's removal of \ escapes.
Index: trunk/dports/textproc/libxslt/files/patch-configure
===================================================================
--- trunk/dports/textproc/libxslt/files/patch-configure	(revision 970)
+++ trunk/dports/textproc/libxslt/files/patch-configure	(revision 970)
@@ -0,0 +1,17 @@
+diff -uNbr configure libxslt-1.0.18-new/configure
+--- configure	Mon May 27 17:31:25 2002
++++ libxslt-1.0.18-new/configure	Thu Jun  6 22:49:06 2002
+@@ -3580,11 +3580,11 @@
+     ;;
+ 
+   darwin* | rhapsody*)
+-    allow_undefined_flag='-undefined suppress'
++    allow_undefined_flag='-undefined suppress -flat_namespace'
+     # FIXME: Relying on posixy $() will cause problems for
+     #        cross-compilation, but unfortunately the echo tests do not
+     #        yet detect zsh echo's removal of \ escapes.
+-    archive_cmds='$CC $(test .$module = .yes && echo -bundle || echo -dynamiclib) $allow_undefined_flag -o $lib $libobjs $deplibs$linkopts -install_name $rpath/$soname $(test -n "$verstring" -a x$verstring != x0.0 && echo $verstring)'
++    archive_cmds='$CC $(test .$module = .yes && echo -bundle || echo -dynamiclib) $allow_undefined_flag -o $lib $libobjs $deplibs$linkopts $(test .$module != .yes && echo -install_name $rpath/$soname $tmp_verstring)'
+     # We need to add '_' to the symbols in $export_symbols first
+     #archive_expsym_cmds="$archive_cmds"' && strip -s $export_symbols'
+     hardcode_direct=yes
Index: trunk/dports/textproc/libxslt/files/patch-ltmain.sh
===================================================================
--- trunk/dports/textproc/libxslt/files/patch-ltmain.sh	(revision 970)
+++ trunk/dports/textproc/libxslt/files/patch-ltmain.sh	(revision 970)
@@ -0,0 +1,15 @@
+diff -uNbr ltmain.sh libxslt-1.0.18-new/ltmain.sh
+--- ltmain.sh	Mon May 27 17:31:19 2002
++++ libxslt-1.0.18-new/ltmain.sh	Thu Jun  6 22:49:06 2002
+@@ -2858,6 +2858,11 @@
+ 	if test -n "$export_symbols" && test -n "$archive_expsym_cmds"; then
+ 	  eval cmds=\"$archive_expsym_cmds\"
+ 	else
++         if test "x$verstring" = "x0.0"; then
++           tmp_verstring=
++         else
++           tmp_verstring="$verstring"
++         fi
+ 	  eval cmds=\"$archive_cmds\"
+ 	fi
+ 	IFS="${IFS= 	}"; save_ifs="$IFS"; IFS='~'