Index: trunk/base/doc/Makefile
===================================================================
--- trunk/base/doc/Makefile	(revision 964)
+++ trunk/base/doc/Makefile	(revision 971)
@@ -2,4 +2,6 @@
 ETCDIR=		/etc/ports
 MAN7=		portfile.7
+DSTUSR?=	root
+DSTGRP?=	wheel
 
 portfile.7.gz: portfile.7
@@ -16,12 +18,12 @@
 	@if [ ! -e ${ETCDIR}/ports.conf ]; then \
 		set -x; \
-		install -o root -g wheel -m 644 ports.conf ${ETCDIR}; \
+		install -o ${DSTUSR} -g ${DSTGRP} -m 644 ports.conf ${ETCDIR}; \
 	fi
 
 	@if [ ! -e ${ETCDIR}/sources.conf ]; then \
 		set -x; \
-		install -o root -g wheel -m 644 sources.conf ${ETCDIR}; \
+		install -o ${DSTUSR} -g ${DSTGRP} -m 644 sources.conf ${ETCDIR}; \
 	fi
 
-	install -o root -g wheel -m 644 ports.conf.default /etc/defaults/ports.conf
-	install -o root -g wheel -m 444 portfile.7.gz ${PREFIX}/man/man7
+	install -o ${DSTUSR} -g ${DSTGRP} -m 644 ports.conf.default /etc/defaults/ports.conf
+	install -o ${DSTUSR} -g ${DSTGRP} -m 444 portfile.7.gz ${PREFIX}/man/man7
Index: trunk/base/src/darwinports1.0/Makefile
===================================================================
--- trunk/base/src/darwinports1.0/Makefile	(revision 964)
+++ trunk/base/src/darwinports1.0/Makefile	(revision 971)
@@ -1,3 +1,5 @@
 SRCS=		darwinports.tcl darwinportsui.tcl
+DSTUSR?=	root
+DSTGRP?=	wheel
 
 all:
@@ -8,5 +10,5 @@
 	@mkdir -p `./tcldir.sh`
 	@set -x; for file in ${SRCS}; do \
-		install -c -o root -g wheel -m 444 $$file `./tcldir.sh`; \
+		install -c -o ${DSTUSR} -g ${DSTGRP} -m 444 $$file `./tcldir.sh`; \
 	done
 	@../pkg_mkindex.tcl `./tcldir.sh`
Index: trunk/base/src/pextlib1.0/Makefile
===================================================================
--- trunk/base/src/pextlib1.0/Makefile	(revision 964)
+++ trunk/base/src/pextlib1.0/Makefile	(revision 971)
@@ -4,4 +4,6 @@
 PREFIX?=	/opt/local
 INSTALLDIR= ${PREFIX}/share/darwinports/Tcl/pextlib1.0
+DSTUSR?=	root
+DSTGRP?=	wheel
 
 .c.o:
@@ -18,4 +20,4 @@
 install:
 	mkdir -p ${INSTALLDIR}
-	install -c -o root -g wheel -m 444 `./link.sh -n ${SHLIB_NAME}` ${INSTALLDIR}
+	install -c -o "${DSTUSR}" -g "${DSTGRP}" -m 444 `./link.sh -n ${SHLIB_NAME}` ${INSTALLDIR}
 	../pkg_mkindex.tcl ${INSTALLDIR}
Index: trunk/base/src/port/Makefile
===================================================================
--- trunk/base/src/port/Makefile	(revision 964)
+++ trunk/base/src/port/Makefile	(revision 971)
@@ -1,4 +1,6 @@
 PREFIX?=	/opt/local
 MAN1=		port.1
+DSTUSR?=	root
+DSTGRP?=	wheel
 
 port.1.gz: port.1
@@ -15,6 +17,6 @@
 
 install: mkdirs
-	install -c -o root -g wheel -m 444 port.1.gz ${PREFIX}/man/man1
-	install -c -o root -g wheel -m 555 port.tcl ${PREFIX}/bin/port
-	install -c -o root -g wheel -m 555 portall.tcl ${PREFIX}/bin/portall
-	install -c -o root -g wheel -m 555 portindex.tcl ${PREFIX}/bin/portindex
+	install -c -o ${DSTUSR} -g ${DSTGRP} -m 444 port.1.gz ${PREFIX}/man/man1
+	install -c -o ${DSTUSR} -g ${DSTGRP} -m 555 port.tcl ${PREFIX}/bin/port
+	install -c -o ${DSTUSR} -g ${DSTGRP} -m 555 portall.tcl ${PREFIX}/bin/portall
+	install -c -o ${DSTUSR} -g ${DSTGRP} -m 555 portindex.tcl ${PREFIX}/bin/portindex
Index: trunk/base/src/port1.0/Makefile
===================================================================
--- trunk/base/src/port1.0/Makefile	(revision 964)
+++ trunk/base/src/port1.0/Makefile	(revision 971)
@@ -1,4 +1,6 @@
 PREFIX?=	/opt/local
 INSTALLDIR=	${PREFIX}/share/darwinports/Tcl/port1.0
+DSTUSR?=	root
+DSTGRP?=	wheel
 
 SRCS=		port.tcl portchecksum.tcl portconfigure.tcl portextract.tcl portfetch.tcl portmain.tcl portbuild.tcl portpatch.tcl portutil.tcl portinstall.tcl portregistry.tcl portdepends.tcl portinstall.tcl portuninstall.tcl portregistry.tcl portdepends.tcl portclean.tcl portpackage.tcl
@@ -11,5 +13,5 @@
 	mkdir -p ${INSTALLDIR}
 	@set -x; for file in ${SRCS}; do \
-		install -c -o root -g wheel -m 444 $$file ${INSTALLDIR}; \
+		install -c -o ${DSTUSR} -g ${DSTGRP} -m 444 $$file ${INSTALLDIR}; \
 	done
 	../pkg_mkindex.tcl ${INSTALLDIR}