Index: trunk/dports/irc/ircii/Portfile
===================================================================
--- trunk/dports/irc/ircii/Portfile	(revision 991)
+++ trunk/dports/irc/ircii/Portfile	(revision 991)
@@ -0,0 +1,18 @@
+PortSystem 1.0
+name	ircii
+version	20020912
+categories	irc
+maintainers	kevin@opendarwin.org
+master_sites	ftp://ircftp.au.eterna.com.au/pub/ircII/
+checksums	md5 2ae68c015698f58763a113e9bc6852cc
+configure.args	--disable-ipv6
+include		contents
+
+post-configure {
+	reinplace "s|change.this.to.a.server|irc.openprojects.net|g" \
+		  "${workdir}/${worksrcdir}/config.h"
+}
+
+variant ipv6 {
+	configure.args-append --enable-ipv6
+}
Index: trunk/dports/irc/ircii/contents
===================================================================
--- trunk/dports/irc/ircii/contents	(revision 991)
+++ trunk/dports/irc/ircii/contents	(revision 991)
@@ -0,0 +1,637 @@
+contents {
+bin/irc
+bin/irc-20020912
+bin/ircbug
+bin/ircflush
+bin/ircio
+bin/wserv
+man/man1/irc.1
+man/man1/ircbug.1
+man/man1/ircII.1
+share/irc/help/!
+share/irc/help/.date
+share/irc/help/:
+share/irc/help/abort
+share/irc/help/admin
+share/irc/help/alias
+share/irc/help/alias/alias
+share/irc/help/alias/functions
+share/irc/help/alias/quote
+share/irc/help/alias/special
+share/irc/help/alias/width
+share/irc/help/assign
+share/irc/help/away
+share/irc/help/basics
+share/irc/help/beep
+share/irc/help/bind
+share/irc/help/bind/backspace
+share/irc/help/bind/backward_character
+share/irc/help/bind/backward_history
+share/irc/help/bind/backward_word
+share/irc/help/bind/beginning_of_line
+share/irc/help/bind/bind
+share/irc/help/bind/clear_screen
+share/irc/help/bind/command_completion
+share/irc/help/bind/delete_character
+share/irc/help/bind/delete_next_word
+share/irc/help/bind/delete_previous_word
+share/irc/help/bind/end_of_line
+share/irc/help/bind/enter_digraph
+share/irc/help/bind/enter_menu
+share/irc/help/bind/erase_line
+share/irc/help/bind/erase_to_beg_of_line
+share/irc/help/bind/erase_to_end_of_line
+share/irc/help/bind/examples
+share/irc/help/bind/forward_character
+share/irc/help/bind/forward_history
+share/irc/help/bind/forward_word
+share/irc/help/bind/help_character
+share/irc/help/bind/keys
+share/irc/help/bind/meta1_character
+share/irc/help/bind/meta2_character
+share/irc/help/bind/meta3_character
+share/irc/help/bind/meta4_character
+share/irc/help/bind/meta5_character
+share/irc/help/bind/meta6_character
+share/irc/help/bind/meta7_character
+share/irc/help/bind/meta8_character
+share/irc/help/bind/next_window
+share/irc/help/bind/nothing
+share/irc/help/bind/parse_command
+share/irc/help/bind/previous_window
+share/irc/help/bind/quit_irc
+share/irc/help/bind/quote_character
+share/irc/help/bind/refresh_inputline
+share/irc/help/bind/refresh_screen
+share/irc/help/bind/scroll_backward
+share/irc/help/bind/scroll_end
+share/irc/help/bind/scroll_forward
+share/irc/help/bind/scroll_start
+share/irc/help/bind/self_insert
+share/irc/help/bind/send_line
+share/irc/help/bind/stop_irc
+share/irc/help/bind/switch_channels
+share/irc/help/bind/toggle_insert_mode
+share/irc/help/bind/toggle_stop_screen
+share/irc/help/bind/transpose_characters
+share/irc/help/bind/type_text
+share/irc/help/bind/unstop_all_windows
+share/irc/help/bind/yank_from_cutbuffer
+share/irc/help/brick
+share/irc/help/bye
+share/irc/help/cat
+share/irc/help/cd
+share/irc/help/channel
+share/irc/help/clear
+share/irc/help/commands
+share/irc/help/comment
+share/irc/help/connect
+share/irc/help/ctcp
+share/irc/help/ctcp/action
+share/irc/help/ctcp/clientinfo
+share/irc/help/ctcp/ctcp
+share/irc/help/ctcp/echo
+share/irc/help/ctcp/finger
+share/irc/help/ctcp/ping
+share/irc/help/ctcp/time
+share/irc/help/ctcp/userinfo
+share/irc/help/ctcp/utc
+share/irc/help/ctcp/version
+share/irc/help/date
+share/irc/help/dcc
+share/irc/help/dcc/chat
+share/irc/help/dcc/close
+share/irc/help/dcc/dcc
+share/irc/help/dcc/get
+share/irc/help/dcc/list
+share/irc/help/dcc/raw
+share/irc/help/dcc/rename
+share/irc/help/dcc/send
+share/irc/help/deop
+share/irc/help/describe
+share/irc/help/die
+share/irc/help/digraph
+share/irc/help/disconnect
+share/irc/help/dmsg
+share/irc/help/dquery
+share/irc/help/echo
+share/irc/help/encrypt
+share/irc/help/etiquette
+share/irc/help/eval
+share/irc/help/exec
+share/irc/help/exit
+share/irc/help/expressions
+share/irc/help/flush
+share/irc/help/foreach
+share/irc/help/help
+share/irc/help/history
+share/irc/help/hook
+share/irc/help/icb
+share/irc/help/if
+share/irc/help/ignore
+share/irc/help/info
+share/irc/help/input
+share/irc/help/intro
+share/irc/help/invite
+share/irc/help/ircii
+share/irc/help/ircii/copyright
+share/irc/help/ison
+share/irc/help/join
+share/irc/help/kick
+share/irc/help/kill
+share/irc/help/lastlog
+share/irc/help/leave
+share/irc/help/links
+share/irc/help/list
+share/irc/help/load
+share/irc/help/load/2.9script
+share/irc/help/load/action
+share/irc/help/load/alias
+share/irc/help/load/autoop
+share/irc/help/load/autoquery
+share/irc/help/load/basical
+share/irc/help/load/bigcheese
+share/irc/help/load/brc
+share/irc/help/load/channel
+share/irc/help/load/columns
+share/irc/help/load/commander
+share/irc/help/load/cursor
+share/irc/help/load/dccchan
+share/irc/help/load/deutsch
+share/irc/help/load/disc
+share/irc/help/load/edit
+share/irc/help/load/english
+share/irc/help/load/events
+share/irc/help/load/extensions
+share/irc/help/load/finger
+share/irc/help/load/finger.who
+share/irc/help/load/flood
+share/irc/help/load/fnet
+share/irc/help/load/functions
+share/irc/help/load/help
+share/irc/help/load/history
+share/irc/help/load/icb
+share/irc/help/load/irciihelp
+share/irc/help/load/ircprimer
+share/irc/help/load/kickmenu
+share/irc/help/load/killpath
+share/irc/help/load/kpstat
+share/irc/help/load/list
+share/irc/help/load/listidle
+share/irc/help/load/load
+share/irc/help/load/local
+share/irc/help/load/lynx_ircrc
+share/irc/help/load/meta1
+share/irc/help/load/meta2
+share/irc/help/load/msg
+share/irc/help/load/mudlike
+share/irc/help/load/nemesis
+share/irc/help/load/netsplit
+share/irc/help/load/newaway
+share/irc/help/load/nicks
+share/irc/help/load/oldping
+share/irc/help/load/oper
+share/irc/help/load/prefix
+share/irc/help/load/recursion
+share/irc/help/load/repeat
+share/irc/help/load/screen
+share/irc/help/load/service
+share/irc/help/load/shell
+share/irc/help/load/silent
+share/irc/help/load/smileys
+share/irc/help/load/suggestions
+share/irc/help/load/tabkey
+share/irc/help/load/time
+share/irc/help/load/traces
+share/irc/help/load/troy
+share/irc/help/load/uhnotify
+share/irc/help/load/version
+share/irc/help/load/wallopstat
+share/irc/help/load/whowas
+share/irc/help/load/window
+share/irc/help/lusers
+share/irc/help/me
+share/irc/help/menus
+share/irc/help/mload
+share/irc/help/mode
+share/irc/help/motd
+share/irc/help/msg
+share/irc/help/names
+share/irc/help/news
+share/irc/help/newuser
+share/irc/help/nick
+share/irc/help/note/antiwall
+share/irc/help/note/count
+share/irc/help/note/deny
+share/irc/help/note/find
+share/irc/help/note/flag
+share/irc/help/note/key
+share/irc/help/note/log
+share/irc/help/note/ls
+share/irc/help/note/news
+share/irc/help/note/note
+share/irc/help/note/rm
+share/irc/help/note/save
+share/irc/help/note/send
+share/irc/help/note/sent
+share/irc/help/note/service
+share/irc/help/note/spy
+share/irc/help/note/stats
+share/irc/help/note/user
+share/irc/help/note/waitfor
+share/irc/help/note/wall
+share/irc/help/note/wallops
+share/irc/help/note
+share/irc/help/notice
+share/irc/help/notify
+share/irc/help/on
+share/irc/help/on/action
+share/irc/help/on/channel_nick
+share/irc/help/on/channel_signoff
+share/irc/help/on/connect
+share/irc/help/on/ctcp
+share/irc/help/on/ctcp_reply
+share/irc/help/on/dcc_chat
+share/irc/help/on/dcc_list
+share/irc/help/on/dcc_raw
+share/irc/help/on/disconnect
+share/irc/help/on/exec
+share/irc/help/on/exec_errors
+share/irc/help/on/exec_exit
+share/irc/help/on/exec_prompt
+share/irc/help/on/flood
+share/irc/help/on/help
+share/irc/help/on/hook
+share/irc/help/on/icb_error
+share/irc/help/on/icb_status
+share/irc/help/on/idle
+share/irc/help/on/input
+share/irc/help/on/invite
+share/irc/help/on/join
+share/irc/help/on/leave
+share/irc/help/on/list
+share/irc/help/on/mail
+share/irc/help/on/mode
+share/irc/help/on/msg
+share/irc/help/on/msg_group
+share/irc/help/on/names
+share/irc/help/on/nickname
+share/irc/help/on/note
+share/irc/help/on/notice
+share/irc/help/on/notify_signoff
+share/irc/help/on/notify_signon
+share/irc/help/on/numeric
+share/irc/help/on/on
+share/irc/help/on/public
+share/irc/help/on/public_msg
+share/irc/help/on/public_notice
+share/irc/help/on/public_other
+share/irc/help/on/raw_irc
+share/irc/help/on/raw_send
+share/irc/help/on/send_action
+share/irc/help/on/send_dcc_chat
+share/irc/help/on/send_msg
+share/irc/help/on/send_notice
+share/irc/help/on/send_public
+share/irc/help/on/send_talk
+share/irc/help/on/serial_numbers
+share/irc/help/on/server_notice
+share/irc/help/on/signoff
+share/irc/help/on/talk
+share/irc/help/on/timer
+share/irc/help/on/topic
+share/irc/help/on/wall
+share/irc/help/on/wallop
+share/irc/help/on/who
+share/irc/help/on/window
+share/irc/help/on/window_kill
+share/irc/help/on/window_list
+share/irc/help/on/window_swap
+share/irc/help/oper
+share/irc/help/parsekey
+share/irc/help/part
+share/irc/help/ping
+share/irc/help/query
+share/irc/help/quit
+share/irc/help/quote
+share/irc/help/rbind
+share/irc/help/redirect
+share/irc/help/rehash
+share/irc/help/restart
+share/irc/help/rules
+share/irc/help/save
+share/irc/help/say
+share/irc/help/send
+share/irc/help/sendline
+share/irc/help/server
+share/irc/help/servlist
+share/irc/help/set
+share/irc/help/set/always_split_biggest
+share/irc/help/set/auto_unmark_away
+share/irc/help/set/auto_whowas
+share/irc/help/set/background_colour
+share/irc/help/set/beep
+share/irc/help/set/beep_max
+share/irc/help/set/beep_on_msg
+share/irc/help/set/beep_when_away
+share/irc/help/set/bold_video
+share/irc/help/set/channel_name_width
+share/irc/help/set/client_information
+share/irc/help/set/clock
+share/irc/help/set/clock_24hour
+share/irc/help/set/clock_alarm
+share/irc/help/set/cmdchars
+share/irc/help/set/colour
+share/irc/help/set/command_mode
+share/irc/help/set/continued_line
+share/irc/help/set/ctcp_reply_backlog_seconds
+share/irc/help/set/ctcp_reply_flood_size
+share/irc/help/set/ctcp_reply_ignore_seconds
+share/irc/help/set/dcc_block_size
+share/irc/help/set/dcchost
+share/irc/help/set/debug
+share/irc/help/set/decrypt_program
+share/irc/help/set/display
+share/irc/help/set/eight_bit_characters
+share/irc/help/set/encrypt_program
+share/irc/help/set/exec_protection
+share/irc/help/set/flood_after
+share/irc/help/set/flood_rate
+share/irc/help/set/flood_users
+share/irc/help/set/flood_warning
+share/irc/help/set/foreground_colour
+share/irc/help/set/full_status_line
+share/irc/help/set/help_pager
+share/irc/help/set/help_path
+share/irc/help/set/help_prompt
+share/irc/help/set/help_window
+share/irc/help/set/hide_channel_keys
+share/irc/help/set/hide_private_channels
+share/irc/help/set/highlight_char
+share/irc/help/set/history
+share/irc/help/set/history_file
+share/irc/help/set/hold_mode
+share/irc/help/set/hold_mode_max
+share/irc/help/set/indent
+share/irc/help/set/input_aliases
+share/irc/help/set/input_prompt
+share/irc/help/set/input_protection
+share/irc/help/set/insert_mode
+share/irc/help/set/inverse_video
+share/irc/help/set/irchost
+share/irc/help/set/iso2022_support
+share/irc/help/set/lastlog
+share/irc/help/set/lastlog_level
+share/irc/help/set/load_path
+share/irc/help/set/log
+share/irc/help/set/logfile
+share/irc/help/set/mail
+share/irc/help/set/make_notice_msg
+share/irc/help/set/max_recursions
+share/irc/help/set/menu
+share/irc/help/set/minimum_servers
+share/irc/help/set/minimum_users
+share/irc/help/set/no_ask_nickname
+share/irc/help/set/no_ctcp_flood
+share/irc/help/set/notify_handler
+share/irc/help/set/notify_level
+share/irc/help/set/notify_on_termination
+share/irc/help/set/novice
+share/irc/help/set/old_encrypt_program
+share/irc/help/set/realname
+share/irc/help/set/same_window_only
+share/irc/help/set/scroll
+share/irc/help/set/scroll_lines
+share/irc/help/set/send_ignore_msg
+share/irc/help/set/set
+share/irc/help/set/shell
+share/irc/help/set/shell_flags
+share/irc/help/set/shell_limit
+share/irc/help/set/show_away_once
+share/irc/help/set/show_channel_names
+share/irc/help/set/show_end_of_msgs
+share/irc/help/set/show_numerics
+share/irc/help/set/show_stars
+share/irc/help/set/show_status_all
+share/irc/help/set/show_who_hopcount
+share/irc/help/set/star_prefix
+share/irc/help/set/status_away
+share/irc/help/set/status_channel
+share/irc/help/set/status_chanop
+share/irc/help/set/status_clock
+share/irc/help/set/status_format
+share/irc/help/set/status_hold
+share/irc/help/set/status_hold_lines
+share/irc/help/set/status_insert
+share/irc/help/set/status_mail
+share/irc/help/set/status_mode
+share/irc/help/set/status_notify
+share/irc/help/set/status_oper
+share/irc/help/set/status_overwrite
+share/irc/help/set/status_query
+share/irc/help/set/status_server
+share/irc/help/set/status_umode
+share/irc/help/set/status_user
+share/irc/help/set/status_voice
+share/irc/help/set/status_window
+share/irc/help/set/suppress_server_motd
+share/irc/help/set/tab
+share/irc/help/set/tab_max
+share/irc/help/set/translation
+share/irc/help/set/underline_video
+share/irc/help/set/use_old_msg
+share/irc/help/set/user_information
+share/irc/help/set/user_wallops
+share/irc/help/set/verbose_ctcp
+share/irc/help/set/warn_of_ignores
+share/irc/help/set/xterm_geomoptstr
+share/irc/help/set/xterm_options
+share/irc/help/set/xterm_path
+share/irc/help/signoff
+share/irc/help/sleep
+share/irc/help/squery
+share/irc/help/squit
+share/irc/help/stats
+share/irc/help/summon
+share/irc/help/time
+share/irc/help/timer
+share/irc/help/topic
+share/irc/help/trace
+share/irc/help/type
+share/irc/help/userhost
+share/irc/help/users
+share/irc/help/version
+share/irc/help/wait
+share/irc/help/wallops
+share/irc/help/which
+share/irc/help/while
+share/irc/help/who
+share/irc/help/whois
+share/irc/help/whowas
+share/irc/help/window
+share/irc/help/window/add
+share/irc/help/window/addgroup
+share/irc/help/window/back
+share/irc/help/window/balance
+share/irc/help/window/bind
+share/irc/help/window/channel
+share/irc/help/window/create
+share/irc/help/window/delete
+share/irc/help/window/delgroup
+share/irc/help/window/double
+share/irc/help/window/goto
+share/irc/help/window/grow
+share/irc/help/window/hide
+share/irc/help/window/hide_others
+share/irc/help/window/hold_mode
+share/irc/help/window/kill
+share/irc/help/window/kill_others
+share/irc/help/window/lastlog_level
+share/irc/help/window/level
+share/irc/help/window/list
+share/irc/help/window/log
+share/irc/help/window/logfile
+share/irc/help/window/move
+share/irc/help/window/name
+share/irc/help/window/new
+share/irc/help/window/next
+share/irc/help/window/nostatus
+share/irc/help/window/notify
+share/irc/help/window/notify_level
+share/irc/help/window/number
+share/irc/help/window/pop
+share/irc/help/window/previous
+share/irc/help/window/prompt
+share/irc/help/window/push
+share/irc/help/window/query
+share/irc/help/window/refnum
+share/irc/help/window/remove
+share/irc/help/window/scroll
+share/irc/help/window/server
+share/irc/help/window/show
+share/irc/help/window/shrink
+share/irc/help/window/stack
+share/irc/help/window/sticky
+share/irc/help/window/swap
+share/irc/help/window/unbind
+share/irc/help/window/where
+share/irc/help/window/window
+share/irc/help/xecho
+share/irc/help/xtype
+share/irc/help
+share/irc/script/2.8script
+share/irc/script/2.9script
+share/irc/script/action
+share/irc/script/alias
+share/irc/script/autoop
+share/irc/script/autoquery
+share/irc/script/basical
+share/irc/script/bigcheese
+share/irc/script/brc
+share/irc/script/channel
+share/irc/script/columns
+share/irc/script/commander
+share/irc/script/compl.mods
+share/irc/script/complete
+share/irc/script/cursor
+share/irc/script/dccchan
+share/irc/script/default
+share/irc/script/deutsch
+share/irc/script/disc
+share/irc/script/dmsg
+share/irc/script/edit
+share/irc/script/english
+share/irc/script/events
+share/irc/script/extensions
+share/irc/script/finger
+share/irc/script/fkeys
+share/irc/script/flood
+share/irc/script/fnet
+share/irc/script/functions
+share/irc/script/global
+share/irc/script/help
+share/irc/script/history
+share/irc/script/history-match
+share/irc/script/icb
+share/irc/script/imap
+share/irc/script/ircIIhelp
+share/irc/script/ircprimer
+share/irc/script/ircrc
+share/irc/script/kickmenu
+share/irc/script/killpath
+share/irc/script/kpstat
+share/irc/script/list
+share/irc/script/listidle
+share/irc/script/log
+share/irc/script/lynx_ircrc
+share/irc/script/meta1
+share/irc/script/meta2
+share/irc/script/msg
+share/irc/script/mudlike
+share/irc/script/nemesis
+share/irc/script/netsplit
+share/irc/script/newaway
+share/irc/script/newformat
+share/irc/script/nicks
+share/irc/script/nocolour
+share/irc/script/oldping
+share/irc/script/oper
+share/irc/script/otherstatus
+share/irc/script/ping
+share/irc/script/prefix
+share/irc/script/recursion
+share/irc/script/repeat
+share/irc/script/screen
+share/irc/script/service
+share/irc/script/shell
+share/irc/script/silent
+share/irc/script/smileys
+share/irc/script/tabkey
+share/irc/script/time
+share/irc/script/times
+share/irc/script/traces
+share/irc/script/troy
+share/irc/script/uhnotify
+share/irc/script/undernet
+share/irc/script/version
+share/irc/script/voice
+share/irc/script/wallopstat
+share/irc/script/whowas
+share/irc/script/window
+share/irc/script
+share/irc/translation/ASCII
+share/irc/translation/CP437
+share/irc/translation/CP850
+share/irc/translation/DANISH
+share/irc/translation/DEC_MCS
+share/irc/translation/DG_MCS
+share/irc/translation/DUTCH
+share/irc/translation/FINNISH
+share/irc/translation/FRENCH
+share/irc/translation/FRENCH_CANADIAN
+share/irc/translation/GERMAN
+share/irc/translation/HP_MCS
+share/irc/translation/IRV
+share/irc/translation/ITALIAN
+share/irc/translation/JIS
+share/irc/translation/MACINTOSH
+share/irc/translation/NEXT
+share/irc/translation/NORWEGIAN_1
+share/irc/translation/NORWEGIAN_2
+share/irc/translation/POLISH
+share/irc/translation/POLISH_NOPL
+share/irc/translation/PORTUGUESE
+share/irc/translation/PORTUGUESE_COM
+share/irc/translation/RUSSIAN
+share/irc/translation/RUSSIAN_ALT
+share/irc/translation/RUSSIAN_WIN
+share/irc/translation/SPANISH
+share/irc/translation/SWEDISH
+share/irc/translation/SWEDISH_NAMES
+share/irc/translation/SWEDISH_NAMES_COM
+share/irc/translation/SWISS
+share/irc/translation/UNITED_KINGDOM
+share/irc/translation/UNITED_KINGDOM_COM
+share/irc/translation
+share/irc
+}