Index: trunk/dports/www/neon/Portfile
===================================================================
--- trunk/dports/www/neon/Portfile	(revision 991)
+++ trunk/dports/www/neon/Portfile	(revision 997)
@@ -1,5 +1,5 @@
 PortSystem 1.0
 name		neon
-version		0.23.4
+version		0.23.5
 
 categories	www
@@ -9,10 +9,9 @@
 
 master_sites	http://www.webdav.org/neon/
-checksums	md5 56b380a7352c68d425b1d3d3d610f994
+checksums	md5 fd7d1bca0927490c5bd32787b0f2f4b1
 
 depends_lib	lib:libexpat.0.4:expat
 configure.env	LDFLAGS=-L$prefix/lib CPPFLAGS=-I$prefix/include
 configure.args	--with-ssl \
-		--with-force-ssl \
 		--enable-xml \
 		--enable-shared \
Index: trunk/dports/www/neon/contents
===================================================================
--- trunk/dports/www/neon/contents	(revision 991)
+++ trunk/dports/www/neon/contents	(revision 997)
@@ -23,5 +23,5 @@
 	include/neon/ne_acl.h
 	include/neon
-	lib/libneon.23.0.4.dylib
+	lib/libneon.23.0.5.dylib
 	lib/libneon.23.dylib
 	lib/libneon.dylib
@@ -88,58 +88,58 @@
 	man/man3/ne_version_string.3
 	man/man3/neon.3
-	share/doc/neon-0.23.4/html/apas02.html
-	share/doc/neon-0.23.4/html/apas03.html
-	share/doc/neon-0.23.4/html/apas04.html
-	share/doc/neon-0.23.4/html/apas05.html
-	share/doc/neon-0.23.4/html/apas06.html
-	share/doc/neon-0.23.4/html/apas07.html
-	share/doc/neon-0.23.4/html/apas08.html
-	share/doc/neon-0.23.4/html/apas09.html
-	share/doc/neon-0.23.4/html/apas10.html
-	share/doc/neon-0.23.4/html/apas11.html
-	share/doc/neon-0.23.4/html/apas12.html
-	share/doc/neon-0.23.4/html/auth.html
-	share/doc/neon-0.23.4/html/basic.html
-	share/doc/neon-0.23.4/html/ch01s02.html
-	share/doc/neon-0.23.4/html/ch01s03.html
-	share/doc/neon-0.23.4/html/ch02.html
-	share/doc/neon-0.23.4/html/compliance.html
-	share/doc/neon-0.23.4/html/gfdl.html
-	share/doc/neon-0.23.4/html/index.html
-	share/doc/neon-0.23.4/html/intro.html
-	share/doc/neon-0.23.4/html/locking.html
-	share/doc/neon-0.23.4/html/lowlevel.html
-	share/doc/neon-0.23.4/html/props.html
-	share/doc/neon-0.23.4/html/ref.html
-	share/doc/neon-0.23.4/html/refalloc.html
-	share/doc/neon-0.23.4/html/refauth.html
-	share/doc/neon-0.23.4/html/refbuf.html
-	share/doc/neon-0.23.4/html/refbufapp.html
-	share/doc/neon-0.23.4/html/refbufcr.html
-	share/doc/neon-0.23.4/html/refbufdest.html
-	share/doc/neon-0.23.4/html/refbufutil.html
-	share/doc/neon-0.23.4/html/refconfig.html
-	share/doc/neon-0.23.4/html/referr.html
-	share/doc/neon-0.23.4/html/refgetst.html
-	share/doc/neon-0.23.4/html/refneon.html
-	share/doc/neon-0.23.4/html/refopts.html
-	share/doc/neon-0.23.4/html/refreq.html
-	share/doc/neon-0.23.4/html/refreqbody.html
-	share/doc/neon-0.23.4/html/refreqhdr.html
-	share/doc/neon-0.23.4/html/refresolve.html
-	share/doc/neon-0.23.4/html/refsess.html
-	share/doc/neon-0.23.4/html/refshave.html
-	share/doc/neon-0.23.4/html/refsockinit.html
-	share/doc/neon-0.23.4/html/refsslca.html
-	share/doc/neon-0.23.4/html/refsslcert.html
-	share/doc/neon-0.23.4/html/refssldname.html
-	share/doc/neon-0.23.4/html/refsslvfy.html
-	share/doc/neon-0.23.4/html/refstatus.html
-	share/doc/neon-0.23.4/html/reftok.html
-	share/doc/neon-0.23.4/html/refvers.html
-	share/doc/neon-0.23.4/html/ssl.html
-	share/doc/neon-0.23.4/html/utils.html
-	share/doc/neon-0.23.4/html/xml.html
-	share/doc/neon-0.23.4/html
-	share/doc/neon-0.23.4
+	share/doc/neon-0.23.5/html/apas02.html
+	share/doc/neon-0.23.5/html/apas03.html
+	share/doc/neon-0.23.5/html/apas04.html
+	share/doc/neon-0.23.5/html/apas05.html
+	share/doc/neon-0.23.5/html/apas06.html
+	share/doc/neon-0.23.5/html/apas07.html
+	share/doc/neon-0.23.5/html/apas08.html
+	share/doc/neon-0.23.5/html/apas09.html
+	share/doc/neon-0.23.5/html/apas10.html
+	share/doc/neon-0.23.5/html/apas11.html
+	share/doc/neon-0.23.5/html/apas12.html
+	share/doc/neon-0.23.5/html/auth.html
+	share/doc/neon-0.23.5/html/basic.html
+	share/doc/neon-0.23.5/html/ch01s02.html
+	share/doc/neon-0.23.5/html/ch01s03.html
+	share/doc/neon-0.23.5/html/ch02.html
+	share/doc/neon-0.23.5/html/compliance.html
+	share/doc/neon-0.23.5/html/gfdl.html
+	share/doc/neon-0.23.5/html/index.html
+	share/doc/neon-0.23.5/html/intro.html
+	share/doc/neon-0.23.5/html/locking.html
+	share/doc/neon-0.23.5/html/lowlevel.html
+	share/doc/neon-0.23.5/html/props.html
+	share/doc/neon-0.23.5/html/ref.html
+	share/doc/neon-0.23.5/html/refalloc.html
+	share/doc/neon-0.23.5/html/refauth.html
+	share/doc/neon-0.23.5/html/refbuf.html
+	share/doc/neon-0.23.5/html/refbufapp.html
+	share/doc/neon-0.23.5/html/refbufcr.html
+	share/doc/neon-0.23.5/html/refbufdest.html
+	share/doc/neon-0.23.5/html/refbufutil.html
+	share/doc/neon-0.23.5/html/refconfig.html
+	share/doc/neon-0.23.5/html/referr.html
+	share/doc/neon-0.23.5/html/refgetst.html
+	share/doc/neon-0.23.5/html/refneon.html
+	share/doc/neon-0.23.5/html/refopts.html
+	share/doc/neon-0.23.5/html/refreq.html
+	share/doc/neon-0.23.5/html/refreqbody.html
+	share/doc/neon-0.23.5/html/refreqhdr.html
+	share/doc/neon-0.23.5/html/refresolve.html
+	share/doc/neon-0.23.5/html/refsess.html
+	share/doc/neon-0.23.5/html/refshave.html
+	share/doc/neon-0.23.5/html/refsockinit.html
+	share/doc/neon-0.23.5/html/refsslca.html
+	share/doc/neon-0.23.5/html/refsslcert.html
+	share/doc/neon-0.23.5/html/refssldname.html
+	share/doc/neon-0.23.5/html/refsslvfy.html
+	share/doc/neon-0.23.5/html/refstatus.html
+	share/doc/neon-0.23.5/html/reftok.html
+	share/doc/neon-0.23.5/html/refvers.html
+	share/doc/neon-0.23.5/html/ssl.html
+	share/doc/neon-0.23.5/html/utils.html
+	share/doc/neon-0.23.5/html/xml.html
+	share/doc/neon-0.23.5/html
+	share/doc/neon-0.23.5
 }